> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypersync.tartanhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connection Sync Filter

> Returns the sync filter configuration applied to a connection.



## OpenAPI

````yaml GET /api/conn/sync-filter/
openapi: 3.0.0
info:
  title: Employee List API
  description: Retrieve a paginated list of employees from the organization.
  version: 1.0.0
servers:
  - url: https://{env}.tartanhq.com
    description: Dynamic environment-based server
    variables:
      env:
        default: dev
security: []
paths:
  /api/conn/sync-filter/:
    get:
      summary: Get Connection Sync Filter
      description: Returns the sync filter configuration applied to a connection.
      parameters:
        - in: query
          name: client_org_id
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: vendor_org_id
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Sync filter config fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncFilterConfigResponse'
        '400':
          description: >-
            Invalid client_org_id/vendor_org_id, or connection could not be
            resolved
      security:
        - TokenAuth: []
components:
  schemas:
    SyncFilterConfigResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        status_code:
          type: integer
          example: 200
        message:
          type: string
        data:
          type: object
          properties:
            sync_filter_config:
              type: object
              nullable: true
        errors:
          type: string
          nullable: true
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization

````